% [chi2,grad,H,sens] = ass_fun_pred(p,model_fun,pred,varargin)
% 
% 
% Example:
% pred.y = feval(model_fun,p,pred,varargin{:});  % predicted value 
% pred.sigma = 1e-3;

function [chi2,grad,H,sens] = ass_fun_pred(p,model_fun,pred,varargin)

if(nargout<=1)
    chi2 = ass_fun_data(p,model_fun,pred,varargin{:});
elseif(nargout==2)
    [chi2,grad] = ass_fun_data(p,model_fun,pred,varargin{:});
else
    [chi2,grad,H,sens] = ass_fun_data(p,model_fun,pred,varargin{:});
end

