% jac = ABtoC_jacobian(t,x,flag,p,varargin)
% 
%   The Jacobian of the ODE, i.e. the derivative of the right hand side
%   with respect to the dynamic states.
% 
%   jac     matrix, nstates x npara

function jac = ABtoC_jacobian(t,x,flag,p,varargin)
jac = [-p(1) 0 0
        p(1) -p(2) 0
        0  p(2) 0];
