syms t p1 p2 x0;

x1(x0,p1,p2)= x0 * exp(-p1 * t);
x2(x0,p1,p2) = p1 * x0 / (p2 - p1) * (exp(-p1 * t) - exp(-p2 ...
                                                      * t));
x3(x0,p1,p2) = x0 * (1+ ( p1 * exp(-p2 ...
                                   * t) - p2 ...
                        *exp(-p1 * t)) / (p2 - p1));
%first order deriv                   
diff(x1,x0)
diff(x1,p1)
diff(x1,p2)

diff(x2,x0)
diff(x2,p1)
diff(x2,p2)

diff(x3,x0)
diff(x3,p1)
diff(x3,p2)

%second order deriv                   

diff(x1,x0,x0)
diff(x1,x0,p1)
diff(x1,x0,p2)

diff(x1,p1,x0)
diff(x1,p1,p1)
diff(x1,p1,p2)

diff(x1,p2,x0)
diff(x1,p2,p1)
diff(x1,p2,p2)

diff(x2,x0,x0)
diff(x2,x0,p1)
diff(x2,x0,p2)

diff(x2,p1,x0)
diff(x2,p1,p1)
diff(x2,p1,p2)

diff(x2,p2,x0)
diff(x2,p2,p1)
diff(x2,p2,p2)

diff(x3,x0,x0)
diff(x3,x0,p1)
diff(x3,x0,p2)

diff(x3,p1,x0)
diff(x3,p1,p1)
diff(x3,p1,p2)

diff(x3,p2,x0)
diff(x3,p2,p1)
diff(x3,p2,p2)
